# Root Element

Element | Description | Class
--- | --- | ---
resourceAdapter | The JCA Resource Adaptor for ActiveMQ | org.apache.activemq.ra.ActiveMQResourceAdapter

# Element Summary

Element | Description | Class
--- | --- | ---
activationSpec | Configures the inbound JMS consumer specification using ActiveMQ | org.apache.activemq.ra.ActiveMQActivationSpec
managedConnectionFactory |  | org.apache.activemq.ra.ActiveMQManagedConnectionFactory
resourceAdapter | The JCA Resource Adaptor for ActiveMQ | org.apache.activemq.ra.ActiveMQResourceAdapter

# Element Detail

## Element: activationSpec

Attribute | Type | Description
--- | --- | ---
acknowledgeMode | xs:string |
backOffMultiplier | xs:double |
clientId | xs:string |
destination | xs:string |
destinationType | xs:string |
enableBatch | xs:string |
initialRedeliveryDelay | xs:long |
maxMessagesPerBatch | xs:string |
maxMessagesPerSessions | xs:string |
maxSessions | xs:string |
maximumRedeliveries | xs:integer |
maximumRedeliveryDelay | xs:long |
messageSelector | xs:string |
noLocal | xs:string |
password | xs:string |
subscriptionDurability | xs:string |
subscriptionName | xs:string |
useExponentialBackOff | xs:boolean |
useRAManagedTransaction | xs:string |
userName | xs:string |

Element | Type | Description
--- | --- | ---
activeMQDestination | <spring:bean/> | A helper method mostly for use in Dependency Injection containers which allows you to customize the destination and destinationType properties from a single ActiveMQDestination POJO
resourceAdapter | <spring:bean/> |

## Element: managedConnectionFactory

Attribute | Type | Description
--- | --- | ---
clientid | xs:string |
initialRedeliveryDelay | xs:long |
maximumRedeliveryDelay | xs:long |
password | xs:string |
redeliveryBackOffMultiplier | xs:double |
serverUrl | xs:string |
userName | xs:string |

Element | Type | Description
--- | --- | ---
allPrefetchValues | <spring:bean/> |
durableTopicPrefetch | <spring:bean/> |
info | <spring:bean/> | Gets the connection request information.
inputStreamPrefetch | <spring:bean/> |
logWriter | <spring:bean/> |
maximumRedeliveries | <spring:bean/> |
optimizeDurableTopicPrefetch | <spring:bean/> |
queueBrowserPrefetch | <spring:bean/> |
queuePrefetch | <spring:bean/> |
redeliveryUseExponentialBackOff | <spring:bean/> |
resourceAdapter | <spring:bean/> |
topicPrefetch | <spring:bean/> |
useInboundSession | <spring:bean/> |

## Element: resourceAdapter

Attribute | Type | Description
--- | --- | ---
brokerXmlConfig | xs:string | Sets the XML configuration file used to configure the ActiveMQ broker via Spring if using embedded mode.
clientid | xs:string |
initialRedeliveryDelay | xs:long |
maximumRedeliveryDelay | xs:long |
password | xs:string |
redeliveryBackOffMultiplier | xs:double |
serverUrl | xs:string |
userName | xs:string |

Element | Type | Description
--- | --- | ---
allPrefetchValues | <spring:bean/> |
connectionFactory | <spring:bean/> |
durableTopicPrefetch | <spring:bean/> |
info | <spring:bean/> | Gets the connection request information.
inputStreamPrefetch | <spring:bean/> |
maximumRedeliveries | <spring:bean/> |
optimizeDurableTopicPrefetch | <spring:bean/> |
queueBrowserPrefetch | <spring:bean/> |
queuePrefetch | <spring:bean/> |
redeliveryUseExponentialBackOff | <spring:bean/> |
topicPrefetch | <spring:bean/> |
useInboundSession | <spring:bean/> |